/* SALSA/World Wide Computer Porject
 *
 * Reference Server - Remote Message Sending Protocol Daemon
 * In order to deliver a message to a remote actor, messengers
 * reach this daemon (that can also host actors) to get the (unique)
 * hash code of the target actor. The rmspd is in charge to forward
 * messengers to the target's stage (rmspd's host or remote applet).
 *
 * By Gregory Haik and Carlos Varela.  v0.1  June, 1999
 *
 */

package wwc.messaging;

import java.lang.String;
import wwc.naming.UAL;

/**
 * Defines the data hold by the rmspd for each actor in order to :
 * 1) forward to the right stage an incoming messenger,
 * 2) identify the target of this messenger.
 */
public class RegisteryEntry implements java.io.Serializable {
    String appletHostName;
    int appletPortNumber;
    int actorHashCode;
    UAL newUAL;

    public RegisteryEntry (String hostName, int portNum, int hashCode) {
	appletHostName = hostName;
	appletPortNumber = portNum;
	actorHashCode = hashCode;
	newUAL = null;
    }

    public RegisteryEntry(int hashCode) {
	this(null, 0, hashCode);
    }
    
    public String getAppletHostName() {
	return appletHostName;
    }
    
    public int getAppletPortNumber() {
	return appletPortNumber;
    }
    
    public int getActorHashCode() {
	return actorHashCode;
    }
 
    public UAL getNewUAL() {
	return newUAL;
    }
    
    public void setNewUAL(UAL ual) {
	newUAL = ual;
    }

// for debugging purpose
    public String toString() {
	String str = new String();
	str = "("+appletHostName
	    + ", "
	    + new Integer(appletPortNumber).toString()
	    + ", "
	    + new Integer(actorHashCode).toString()
	    + ")";
	return str;
    }
}

    
